<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="SITE-STATISTICS-REPORTS">		
		<style>
			.sb-pagetitle { border-bottom: solid 1px #776655; }
		</style>
		<xsl:choose>
        	<xsl:when test="@IS-PUBLISHED = '0'">
	       		<center><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/STAT-REPORT-AVAILABLE"/></center>
	      	</xsl:when>
        	<xsl:when test="@STAT-REPORTS = '0'">
	       		<center><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/STAT-ERROR"/></center>
	      	</xsl:when>
			<xsl:otherwise>
		    	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		        	<tr>
		            	<td class="sb-toolbarpadding">
		            		<form name="viewStatReports" method="post" id="viewStatReports">
		            			<xsl:attribute name="action"><xsl:value-of select="@ACTION"/></xsl:attribute>
		            			<input type="hidden" name="siteId">
		            				<xsl:attribute name="value">
		            					<xsl:value-of select="SITE-ID/@VALUE"/>
		            				</xsl:attribute>
		            			</input>								
			            		<!--<fieldset class="sb-form-fieldset">
						            <legend class="sb-label-toolbar-title">
						                <xsl:value-of select="@STAT-TOOLBAR"/>
						            </legend>
						        </fieldset>-->
								<xsl:apply-templates select="PAGED-LIST"/>
							</form>
	            		</td>
	        		</tr>
	        	</table>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="PAGED-LIST/LIST/HEADER">
		<tr class="sb-gridview-header" align="left" style="height:24px; white-space:nowrap;">
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="DATE"/></th>
			<th style="padding-left: 4px; padding-right: 4px;" scope="col"><xsl:value-of select="HITS"/></th>
			<th style="padding-left: 4px; padding-right: 4px;" scope="col"><xsl:value-of select="HOSTS"/></th>
		</tr> 
	</xsl:template>
	
	<xsl:template match="PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class">
	<xsl:call-template name="LIST-ROW-CLASS">
        	<xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param>
	</xsl:call-template>
</xsl:variable>
		<tr class="{$class}" align="left" style="height:24px; white-space:nowrap;">
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="field">day</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="DAY"/></xsl:with-param>
			</xsl:call-template>
		
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="field">hits</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="HITS"/></xsl:with-param>
			</xsl:call-template>
		
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="field">hosts</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="HOSTS"/></xsl:with-param>
			</xsl:call-template>
		</tr>
		<xsl:if test="LAST=1">
		<tr class="sb-gridview-header" align="left" style="height:24px; white-space:nowrap;">
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/STAT-TOTAL"/></th>
			<th style="padding-left: 4px; padding-right: 4px;" scope="col"><xsl:value-of select="TOTAL-HITS"/></th>
			<th style="padding-left: 4px; padding-right: 4px;" scope="col"><xsl:value-of select="TOTAL-HOSTS"/></th>
		</tr> 
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>